package com.ywt.mg.configs;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;


/**
 * @author daiyihua
 * @create 2012-02-12 11:54 AM
 * @desc 配置文件传过来的参数配置
 **/
@Component
public class ParameterConfigurer {


    /**
     * 接入的密钥
     * <p>
     * 格式如下：
     * [{"hospital_3th_gz1","afe6aaa2-d79b-4e7f-982f-6b19edea59f5"},{"hospital_3th_gz_test2", "afe6aaa2-d79b-4e7f-982f-6b19edea59f5dfdf"}]
     */
    @Value("${com.parm.checkAppIdMap}")
    private String checkAppIdMap;

    public String getCheckAppIdMap() {
        return checkAppIdMap;
    }
}
