package com.ywt.mg.configs;

import com.ywt.gapi.drug.DrugServiceGrpc;
import io.grpc.Channel;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class ServiceGrpcStubBeans {
    @Resource(name = "agentChannel")
    private Channel agentChannel;

    @Bean(name = "drugServiceBlockingStub")
    public DrugServiceGrpc.DrugServiceBlockingStub getDrugServiceBlockingStub(){
        return DrugServiceGrpc.newBlockingStub(agentChannel);
    }
}
