package com.ywt.mg.models.PrescriptionPushApiRequest;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.util.List;


public class PrescriptionPushData implements Serializable {

    @JsonProperty("patient")
    private PatientInfo patient;

    @JsonProperty("doctor")
    private DoctorInfo doctor;

    @JsonProperty("prescriptions")
    private List<PrescriptionInfo> prescriptions;

    @JsonProperty("hospitalId")
    private int hospitalId;

    public PatientInfo getPatient() {
        return patient;
    }

    public void setPatient(PatientInfo patient) {
        this.patient = patient;
    }

    public DoctorInfo getDoctor() {
        return doctor;
    }

    public void setDoctor(DoctorInfo doctor) {
        this.doctor = doctor;
    }

    public List<PrescriptionInfo> getPrescriptions() {
        return prescriptions;
    }

    public void setPrescriptions(List<PrescriptionInfo> prescriptions) {
        this.prescriptions = prescriptions;
    }

    public int getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(int hospitalId) {
        this.hospitalId = hospitalId;
    }
}
