package com.ywt.gapi.drug;

import static io.grpc.stub.ClientCalls.asyncUnaryCall;
import static io.grpc.stub.ClientCalls.asyncServerStreamingCall;
import static io.grpc.stub.ClientCalls.asyncClientStreamingCall;
import static io.grpc.stub.ClientCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ClientCalls.blockingUnaryCall;
import static io.grpc.stub.ClientCalls.blockingServerStreamingCall;
import static io.grpc.stub.ClientCalls.futureUnaryCall;
import static io.grpc.MethodDescriptor.generateFullMethodName;
import static io.grpc.stub.ServerCalls.asyncUnaryCall;
import static io.grpc.stub.ServerCalls.asyncServerStreamingCall;
import static io.grpc.stub.ServerCalls.asyncClientStreamingCall;
import static io.grpc.stub.ServerCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedUnaryCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedStreamingCall;

/**
 * <pre>
 *药品相关服务
 * </pre>
 */
@javax.annotation.Generated(
    value = "by gRPC proto compiler (version 1.7.2-SNAPSHOT)",
    comments = "Source: drug.proto")
public final class DrugServiceGrpc {

  private DrugServiceGrpc() {}

  public static final String SERVICE_NAME = "com.ywt.gapi.drug.DrugService";

  // Static method descriptors that strictly reflect the proto.
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.drug.SaveHisOpenApiPrescriptionRequest,
      com.ywt.gapi.drug.SaveHisOpenApiPrescriptionResponse> METHOD_SAVE_HIS_OPEN_API_PRESCRIPTION =
      io.grpc.MethodDescriptor.<com.ywt.gapi.drug.SaveHisOpenApiPrescriptionRequest, com.ywt.gapi.drug.SaveHisOpenApiPrescriptionResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.drug.DrugService", "saveHisOpenApiPrescription"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.drug.SaveHisOpenApiPrescriptionRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.drug.SaveHisOpenApiPrescriptionResponse.getDefaultInstance()))
          .setSchemaDescriptor(new DrugServiceMethodDescriptorSupplier("saveHisOpenApiPrescription"))
          .build();

  /**
   * Creates a new async stub that supports all call types for the service
   */
  public static DrugServiceStub newStub(io.grpc.Channel channel) {
    return new DrugServiceStub(channel);
  }

  /**
   * Creates a new blocking-style stub that supports unary and streaming output calls on the service
   */
  public static DrugServiceBlockingStub newBlockingStub(
      io.grpc.Channel channel) {
    return new DrugServiceBlockingStub(channel);
  }

  /**
   * Creates a new ListenableFuture-style stub that supports unary calls on the service
   */
  public static DrugServiceFutureStub newFutureStub(
      io.grpc.Channel channel) {
    return new DrugServiceFutureStub(channel);
  }

  /**
   * <pre>
   *药品相关服务
   * </pre>
   */
  public static abstract class DrugServiceImplBase implements io.grpc.BindableService {

    /**
     * <pre>
     * 保存从his_open_api过来的处方信息
     * </pre>
     */
    public void saveHisOpenApiPrescription(com.ywt.gapi.drug.SaveHisOpenApiPrescriptionRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.drug.SaveHisOpenApiPrescriptionResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SAVE_HIS_OPEN_API_PRESCRIPTION, responseObserver);
    }

    @java.lang.Override public final io.grpc.ServerServiceDefinition bindService() {
      return io.grpc.ServerServiceDefinition.builder(getServiceDescriptor())
          .addMethod(
            METHOD_SAVE_HIS_OPEN_API_PRESCRIPTION,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.drug.SaveHisOpenApiPrescriptionRequest,
                com.ywt.gapi.drug.SaveHisOpenApiPrescriptionResponse>(
                  this, METHODID_SAVE_HIS_OPEN_API_PRESCRIPTION)))
          .build();
    }
  }

  /**
   * <pre>
   *药品相关服务
   * </pre>
   */
  public static final class DrugServiceStub extends io.grpc.stub.AbstractStub<DrugServiceStub> {
    private DrugServiceStub(io.grpc.Channel channel) {
      super(channel);
    }

    private DrugServiceStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected DrugServiceStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new DrugServiceStub(channel, callOptions);
    }

    /**
     * <pre>
     * 保存从his_open_api过来的处方信息
     * </pre>
     */
    public void saveHisOpenApiPrescription(com.ywt.gapi.drug.SaveHisOpenApiPrescriptionRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.drug.SaveHisOpenApiPrescriptionResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SAVE_HIS_OPEN_API_PRESCRIPTION, getCallOptions()), request, responseObserver);
    }
  }

  /**
   * <pre>
   *药品相关服务
   * </pre>
   */
  public static final class DrugServiceBlockingStub extends io.grpc.stub.AbstractStub<DrugServiceBlockingStub> {
    private DrugServiceBlockingStub(io.grpc.Channel channel) {
      super(channel);
    }

    private DrugServiceBlockingStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected DrugServiceBlockingStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new DrugServiceBlockingStub(channel, callOptions);
    }

    /**
     * <pre>
     * 保存从his_open_api过来的处方信息
     * </pre>
     */
    public com.ywt.gapi.drug.SaveHisOpenApiPrescriptionResponse saveHisOpenApiPrescription(com.ywt.gapi.drug.SaveHisOpenApiPrescriptionRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SAVE_HIS_OPEN_API_PRESCRIPTION, getCallOptions(), request);
    }
  }

  /**
   * <pre>
   *药品相关服务
   * </pre>
   */
  public static final class DrugServiceFutureStub extends io.grpc.stub.AbstractStub<DrugServiceFutureStub> {
    private DrugServiceFutureStub(io.grpc.Channel channel) {
      super(channel);
    }

    private DrugServiceFutureStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected DrugServiceFutureStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new DrugServiceFutureStub(channel, callOptions);
    }

    /**
     * <pre>
     * 保存从his_open_api过来的处方信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.drug.SaveHisOpenApiPrescriptionResponse> saveHisOpenApiPrescription(
        com.ywt.gapi.drug.SaveHisOpenApiPrescriptionRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SAVE_HIS_OPEN_API_PRESCRIPTION, getCallOptions()), request);
    }
  }

  private static final int METHODID_SAVE_HIS_OPEN_API_PRESCRIPTION = 0;

  private static final class MethodHandlers<Req, Resp> implements
      io.grpc.stub.ServerCalls.UnaryMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ServerStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ClientStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.BidiStreamingMethod<Req, Resp> {
    private final DrugServiceImplBase serviceImpl;
    private final int methodId;

    MethodHandlers(DrugServiceImplBase serviceImpl, int methodId) {
      this.serviceImpl = serviceImpl;
      this.methodId = methodId;
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public void invoke(Req request, io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        case METHODID_SAVE_HIS_OPEN_API_PRESCRIPTION:
          serviceImpl.saveHisOpenApiPrescription((com.ywt.gapi.drug.SaveHisOpenApiPrescriptionRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.drug.SaveHisOpenApiPrescriptionResponse>) responseObserver);
          break;
        default:
          throw new AssertionError();
      }
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public io.grpc.stub.StreamObserver<Req> invoke(
        io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        default:
          throw new AssertionError();
      }
    }
  }

  private static abstract class DrugServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoFileDescriptorSupplier, io.grpc.protobuf.ProtoServiceDescriptorSupplier {
    DrugServiceBaseDescriptorSupplier() {}

    @java.lang.Override
    public com.google.protobuf.Descriptors.FileDescriptor getFileDescriptor() {
      return com.ywt.gapi.drug.Drug.getDescriptor();
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.ServiceDescriptor getServiceDescriptor() {
      return getFileDescriptor().findServiceByName("DrugService");
    }
  }

  private static final class DrugServiceFileDescriptorSupplier
      extends DrugServiceBaseDescriptorSupplier {
    DrugServiceFileDescriptorSupplier() {}
  }

  private static final class DrugServiceMethodDescriptorSupplier
      extends DrugServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoMethodDescriptorSupplier {
    private final String methodName;

    DrugServiceMethodDescriptorSupplier(String methodName) {
      this.methodName = methodName;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.MethodDescriptor getMethodDescriptor() {
      return getServiceDescriptor().findMethodByName(methodName);
    }
  }

  private static volatile io.grpc.ServiceDescriptor serviceDescriptor;

  public static io.grpc.ServiceDescriptor getServiceDescriptor() {
    io.grpc.ServiceDescriptor result = serviceDescriptor;
    if (result == null) {
      synchronized (DrugServiceGrpc.class) {
        result = serviceDescriptor;
        if (result == null) {
          serviceDescriptor = result = io.grpc.ServiceDescriptor.newBuilder(SERVICE_NAME)
              .setSchemaDescriptor(new DrugServiceFileDescriptorSupplier())
              .addMethod(METHOD_SAVE_HIS_OPEN_API_PRESCRIPTION)
              .build();
        }
      }
    }
    return result;
  }
}
