package com.ywt.mg.models.PrescriptionPushApiRequest;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;

public class DoctorInfo implements Serializable {


    /**
     * 医生编码,没有可不给
     */
    @JsonProperty("doctorNumber")
    private String doctorNumber;

    /**
     * 医生姓名
     */
    @JsonProperty("name")
    private String name;

    /**
     * 证件类型,见证件类型附表
     */
    @JsonProperty("idType")
    private String idType;

    /**
     * 证件号码
     */
    @JsonProperty("idCard")
    private String idCard;

    /**
     * 科室
     */
    @JsonProperty("departmentName")
    private String departmentName;

    /**
     * 职称
     */
    @JsonProperty("title")
    private String title;

    /**
     * 手机号
     */
    @JsonProperty("phoneNumber")
    private String phoneNumber;


    /**
     * 性别,见性别附表： 0-未知的性别, 1-男, 2-女, 9-未说明的性别
     */
    @JsonProperty("gender")
    private String gender;

    public String getDoctorNumber() {
        return doctorNumber;
    }

    public void setDoctorNumber(String doctorNumber) {
        this.doctorNumber = doctorNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }
}
