package com.ywt.mg.models.PrescriptionPushApiRequest;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.util.List;


public class PrescriptionDetailInfo implements Serializable {

    /**
     * 处方号
     */
    @JsonProperty("prescriptionNumber")
    private String prescriptionNumber;

    /**
     * 处方时间 yyyy-mm-dd HH:mm:ss
     */
    @JsonProperty("prescriptionTime")
    private String prescriptionTime;

    /**
     * 过敏史
     */
    @JsonProperty("allergyHistory")
    private String allergyHistory;

    /**
     * 诊断疾病编码
     */
    @JsonProperty("diseaseNumbers")
    private String diseaseNumbers;

    /**
     * 诊断疾病名称
     */
    @JsonProperty("diagnosis")
    private String diagnosis;

    public String getPrescriptionNumber() {
        return prescriptionNumber;
    }

    public void setPrescriptionNumber(String prescriptionNumber) {
        this.prescriptionNumber = prescriptionNumber;
    }

    public String getPrescriptionTime() {
        return prescriptionTime;
    }

    public void setPrescriptionTime(String prescriptionTime) {
        this.prescriptionTime = prescriptionTime;
    }

    public String getAllergyHistory() {
        return allergyHistory;
    }

    public void setAllergyHistory(String allergyHistory) {
        this.allergyHistory = allergyHistory;
    }

    public String getDiseaseNumbers() {
        return diseaseNumbers;
    }

    public void setDiseaseNumbers(String diseaseNumbers) {
        this.diseaseNumbers = diseaseNumbers;
    }

    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }
}
